package ink.wgink.module.activiti.pojo.bos.oa;

import ink.wgink.module.activiti.enums.oa.TaskCommentTypeEnum;

/**
 * @ClassName: TaskTransferCommentBO
 * @Description: 任务转交批注
 * @Author: wanggeng
 * @Date: 2022/4/28 22:46
 * @Version: 1.0
 */
public class TaskTransferCommentBO {

    private TaskCommentTypeEnum type;
    private String userId;
    private String userName;
    private String content;
    private String time;

    public TaskCommentTypeEnum getType() {
        return type;
    }

    public void setType(TaskCommentTypeEnum type) {
        this.type = type;
    }

    public String getUserId() {
        return userId == null ? "" : userId.trim();
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName == null ? "" : userName.trim();
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getContent() {
        return content == null ? "" : content.trim();
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getTime() {
        return time == null ? "" : time.trim();
    }

    public void setTime(String time) {
        this.time = time;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"type\":")
                .append(type);
        sb.append(",\"userId\":\"")
                .append(userId).append('\"');
        sb.append(",\"userName\":\"")
                .append(userName).append('\"');
        sb.append(",\"content\":\"")
                .append(content).append('\"');
        sb.append(",\"time\":\"")
                .append(time).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
